import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const SYSTEM: AppRouteRecordRaw = {
  path: '/system',
  name: 'system',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.system',
    icon: 'icon-computer',
    requiresAuth: true,
    order: 2,
  },
  children: [
    // {
    //   path: 'permission',
    //   name: 'Permission',
    //   component: () => import('@/views/system/permission/index.vue'),
    //   meta: {
    //     locale: 'menu.system.permission',
    //     requiresAuth: true,
    //     permissions: ['*'],
    //   },
    // },
    {
      path: 'role',
      name: 'Role',
      component: () => import('@/views/system/role/index.vue'),
      meta: {
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'dept',
      name: 'Dept',
      component: () => import('@/views/system/dept/index.vue'),
      meta: {
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'user',
      name: 'User',
      component: () => import('@/views/system/user/index.vue'),
      meta: {
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'authority',
      component: () => import('@/views/system/authority/index.vue'),
      meta: {
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path:'bulletin',
      name:'Bulletin',
      component: () => import('@/views/system/bulletin/index.vue'),
      meta:{
        title: '公告管理',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path:'message',
      name:'Message',
      component: () => import('@/views/system/message/index.vue'),
      meta:{
        title: '消息管理',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'detail/:id',
      name: 'Detail',
      component: () => import('@/views/system/bulletin/components/detail.vue'),
      meta: {
        title: '公告详情',
        requiresAuth: true,
        showInMenu: false,
        permissions: ['*'],
      },
    },
  ],
};

export default SYSTEM;
